> For the complete documentation index, see [llms.txt](https://docs.luganodes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luganodes.com/apis/staking-apis-v1/sui/rewards.md).

# Rewards

### Supported Environments

Luganodes supports the following environments on SUI, as defined below

<table data-header-hidden><thead><tr><th width="356">Base URL</th><th>ETH Network</th></tr></thead><tbody><tr><td><a href="https://staking.luganodes.com/solana">https://staking.luganodes.com/sui</a></td><td>Sui Mainnet </td></tr></tbody></table>

## Rewards &#x20;

<mark style="color:green;">`POST`</mark> `/api/rewards`

Track historical rewards of a stake account on per epoch basis.

#### Request Header

| Name                                        | Type   | Description          |
| ------------------------------------------- | ------ | -------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | Organization API key |

#### Request Body

| Name                                                      | Type   | Description              |
| --------------------------------------------------------- | ------ | ------------------------ |
| stake\_account\_address<mark style="color:red;">\*</mark> | String | Address of stake account |
| start\_date<mark style="color:red;">\*</mark>             | String | Start of date range      |
| end\_date<mark style="color:red;">\*</mark>               | String | End of date range        |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "success": true,
    "data": {
        "rewards": [
            {
                "epochReward": 0,
                "principal": "1414110821855614",
                "totalRewards": "0",
                "date": "2025-05-01",
                "epoch": 750
            },
            {
                "epochReward": 81278415666,
                "principal": "1414110821855614",
                "totalRewards": "81278415666",
                "date": "2025-05-02",
                "epoch": 751
            },
            {
                "epochReward": 81244492499,
                "principal": "1414110821855614",
                "totalRewards": "162522908165",
                "date": "2025-05-03",
                "epoch": 752
            },
            {
                "epochReward": 81118056271,
                "principal": "1414110821855614",
                "totalRewards": "243640964436",
                "date": "2025-05-04",
                "epoch": 753
            },
            {
                "epochReward": 81063596846,
                "principal": "1414110821855614",
                "totalRewards": "324704561282",
                "date": "2025-05-05",
                "epoch": 754
            },
            {
                "epochReward": 81175684959,
                "principal": "1414110821855614",
                "totalRewards": "405880246241",
                "date": "2025-05-06",
                "epoch": 755
            },
            {
                "epochReward": 81383158062,
                "principal": "1414110821855614",
                "totalRewards": "487263404303",
                "date": "2025-05-07",
                "epoch": 756
            },
            {
                "epochReward": 82003947586,
                "principal": "1414110821855614",
                "totalRewards": "569267351889",
                "date": "2025-05-08",
                "epoch": 757
            },
            {
                "epochReward": 81765312613,
                "principal": "1414110821855614",
                "totalRewards": "651032664502",
                "date": "2025-05-09",
                "epoch": 758
            },
            {
                "epochReward": 81260733186,
                "principal": "1414110821855614",
                "totalRewards": "732293397688",
                "date": "2025-05-10",
                "epoch": 759
            },
            {
                "epochReward": 81413419568,
                "principal": "1414110821855614",
                "totalRewards": "813706817256",
                "date": "2025-05-11",
                "epoch": 760
            },
            {
                "epochReward": 81670008987,
                "principal": "1414110821855614",
                "totalRewards": "895376826243",
                "date": "2025-05-12",
                "epoch": 761
            },
            {
                "epochReward": 81439015181,
                "principal": "1414110821855614",
                "totalRewards": "976815841424",
                "date": "2025-05-13",
                "epoch": 762
            },
            {
                "epochReward": 81651720261,
                "principal": "1414110821855614",
                "totalRewards": "1058467561685",
                "date": "2025-05-14",
                "epoch": 763
            }
        ],
        "pagination": {
            "currentPage": 1,
            "totalPages": 1,
            "totalRewards": 40,
            "hasNextPage": false,
            "hasPrevPage": false
        }
    }
}
```

{% endtab %}
{% endtabs %}

#### Sample Request

```bash
curl --location '{{url}}/sui/api/rewards/daily?page=1&limit=50' \
--header 'Content-Type: application/json' \
--header 'x-api-key: apikey' \
--data '{
    "stake_account_address": "0x8b0a21a9ea44e76a1b5c04e33a9b99f79fb947c5e621a1f3d5d178fb979784fe",
    "start_date": "2025-05-01",
    "end_date": "2025-06-09"
}'
```

#### Rewards Response Object

<table><thead><tr><th width="166.33333333333331">Property</th><th width="480">Description</th><th>Type</th></tr></thead><tbody><tr><td>epochReward</td><td>Reward earned at end of epoch</td><td>Number</td></tr><tr><td>principal</td><td>Initial stake amount</td><td>Number</td></tr><tr><td>totalRewards</td><td>Total rewards since time of stake</td><td>Number</td></tr><tr><td>date</td><td>Epoch date </td><td>String</td></tr><tr><td>epoch</td><td>Epoch number</td><td>Number</td></tr></tbody></table>
